+ Start a Discussion
Mats WallMats Wall 

Problem with different API-versions and WSDL

Hi!

 

I need to generate a new Enterprise WSDL for a web application built on API-version 22. However, I can only seem to generate one in ver 26, which does not seem to work out very well with the application. When switching wsdl-files (same name, same location), SOAP cannot find the new wsdl-file. Though it can find the old wsdl-file when I put it back.

 

Error message when using WSDL for ver 26:

 

 Warning: SoapClient::SoapClient() [soapclient.soapclient]: I/O warning : failed to load external entity "/sf-lib/soapclient/enterprise.wsdl.xml" in /sf-lib/soapclient/SforceBaseClient.php on line 121

 

(I edited out some parts of the locations, but they are the same)

 

Does anyone know how to fix the location problem or how to generate a WSDL based on API ver 22?

 

Thanks in advance!

Park Walker (TAGL)Park Walker (TAGL)

You cannot generate an Enterprise WSDL for anything other than the current version. There shouldn't be any reason why your code cannot open the new file as long as the location is correct, you have set the permissions to allow the code at least read access and you have deleted any copy of the WSDL that is cached. Check phpinfo() for the location of the cache if you do not know it.

 

Park